package com.caimei365.order.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 收款项和订单关系表
 *
 * @author : Charles
 * @date : 2021/7/14
 */
@Data
public class OrderReceiptRelationPo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 收款项和订单关系表id
     */
    private Integer id;
    /**
     * 关系类型：1返佣订单（返佣款）、2非返佣订单（订单款或者非订单款）
     */
    private Integer relationType;
    /**
     * 识别款项Id（对应cm_discern_receipt表）
     */
    private Integer receiptId;
    /**
     * 关联金额：1普通收款(线下):收款具体对该应母订单的收金额、2线上支付:付款金额就等于该金额、3返佣收款：默认为0
     */
    private Double associateAmount;
    /**
     * 订单Id（relationType值为1是为子订单ID,为2时为主订单ID）
     */
    private Integer orderId;
    /**
     * 删除标记 0 否，其余是
     */
    private Integer delFlag;
}
